cpw.mods.fml.client.config

## Class GuiButtonExt

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiButton
    - - cpw.mods.fml.client.config.GuiButtonExt

- Direct Known Subclasses:
    GuiUnicodeGlyphButton

      public class GuiButtonExt
      extends GuiButton

  This class provides a button that fixes several bugs present in the vanilla GuiButton drawing code. The gist of it is that it allows buttons of any size without gaps in the graphics and with the borders drawn properly. It also prevents button text from extending out of the sides of the button by trimming the end of the string and adding an ellipsis.
  The code that handles drawing the button is in GuiUtils.

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.gui.GuiButton

      `buttonTextures, displayString, enabled, field_146123_n, height, id, packedFGColour, visible, width, xPosition, yPosition`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiButtonExt(int id, int xPos, int yPos, int width, int height, java.lang.String displayString)`
    `GuiButtonExt(int id, int xPos, int yPos, java.lang.String displayString)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawButton(Minecraft mc, int mouseX, int mouseY)` Draws this button to the screen.

    - ### Methods inherited from class net.minecraft.client.gui.GuiButton

      `func_146111_b, func_146113_a, func_146115_a, getButtonWidth, getHoverState, mouseDragged, mousePressed, mouseReleased`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiButtonExt

          public GuiButtonExt(int id,
                      int xPos,
                      int yPos,
                      java.lang.String displayString)

    - #### GuiButtonExt

          public GuiButtonExt(int id,
                      int xPos,
                      int yPos,
                      int width,
                      int height,
                      java.lang.String displayString)

  - ### Method Detail

    - #### drawButton

          public void drawButton(Minecraft mc,
                        int mouseX,
                        int mouseY)

      Draws this button to the screen.
      Overrides:
        `drawButton` in class `GuiButton`